package com.wb.excel.api.style;

import org.apache.poi.hssf.util.HSSFColor;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Workbook;

/**
 * Created on 2015/1/29.
 *
 * @author
 * @since 2.0.0
 */
public class BaseCellStyle {
    /**
     * 样式
     */
    protected CellStyle style;

    public BaseCellStyle(Workbook workbook) {
        this(workbook, false);
    }

    public BaseCellStyle(Workbook workbook, boolean error) {
        style = workbook.createCellStyle();
        style.setFillPattern(CellStyle.NO_FILL);                    //单元格不填充
        if (error) {
            style.setFillForegroundColor(HSSFColor.RED.index); //背景颜色红色
            style.setFillPattern(CellStyle.SOLID_FOREGROUND);   //设置单元格填充样式
        }
    }

    public CellStyle getStyle() {
        return style;
    }

    public void setStyle(CellStyle style) {
        this.style = style;
    }
}
